Bug 134314 - vsftpd under xinetd doesn't read its config file
Summary: vsftpd under xinetd doesn't read its config file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vsftpd (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 11:25 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 15:05:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:525 normal SHIPPED_LIVE Updated vsftpd package 2004-12-21 05:00:00 UTC

Description Bastien Nocera 2004-10-01 11:25:22 UTC
/etc/vsftpd/vsftpd.conf is ignored when starting vsftpd via xinetd.
Patch from Jose Plans <jplans@redhat.com>

--- /etc/xinetd.d/vsftpd.broken 2004-09-24 12:20:38.000000000 +0100
+++ /etc/xinetd.d/vsftpd        2004-09-24 12:16:28.000000000 +0100
@@ -7,6 +7,7 @@
       wait                    = no
       user                    = root
       server                  = /usr/sbin/vsftpd
+       server_args             = /etc/vsftpd/vsftpd.conf
       nice                    = 10
       disable                 = no
       flags                   = IPv4

Comment 1 Radek Vokal 2004-10-04 06:36:18 UTC
Fixed in rawhide - vsftpd-2.0.1-5

Comment 2 Radek Vokal 2004-10-04 08:43:44 UTC
errata is comming soon

Comment 5 John Flanagan 2004-12-21 15:05:32 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-525.html



Note You need to log in before you can comment on or make changes to this bug.